Views
Get a view
Returns one saved view and its filter. Pass its id as viewId to list or export the mentions it shows.
Authorization
bearerAuth AuthorizationBearer <token>
An API key from POST /v1/api-keys. Keys start with ref_.
In: header
Path Parameters
id*string
The view's id (vw_...).
Length
1 <= lengthResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/views/vw_abc123"{ "id": "string", "name": "string", "description": "string", "filter": { "q": "string", "keywordIds": [ "string" ], "notKeywordIds": [ "string" ], "keywordKinds": [ "brand" ], "groupIds": [ "string" ], "notGroupIds": [ "string" ], "platforms": [ "bluesky" ], "notPlatforms": [ "bluesky" ], "status": "open", "relevant": true, "minRelevance": 0, "minConfidence": 0, "sentiments": [ "positive" ], "notSentiments": [ "positive" ], "intents": [ "string" ], "notIntents": [ "string" ], "automated": true, "languages": [ "string" ], "notLanguages": [ "string" ], "tags": [ "string" ], "notTags": [ "string" ], "linkHosts": [ "string" ], "notLinkHosts": [ "string" ], "minFollowers": 0, "maxFollowers": 0, "isReply": true, "excludeAuthors": [ "string" ], "ratings": [ 1 ], "notRatings": [ 1 ], "minLikes": 0, "minReposts": 0, "minReplies": 0, "minQuotes": 0, "minViews": 0, "minBookmarks": 0, "anyOf": [ { "q": "string", "keywordIds": [ "string" ], "notKeywordIds": [ "string" ], "keywordKinds": [ "brand" ], "groupIds": [ "string" ], "notGroupIds": [ "string" ], "platforms": [ "bluesky" ], "notPlatforms": [ "bluesky" ], "status": "open", "relevant": true, "minRelevance": 0, "minConfidence": 0, "sentiments": [ "positive" ], "notSentiments": [ "positive" ], "intents": [ "string" ], "notIntents": [ "string" ], "automated": true, "languages": [ "string" ], "notLanguages": [ "string" ], "tags": [ "string" ], "notTags": [ "string" ], "linkHosts": [ "string" ], "notLinkHosts": [ "string" ], "minFollowers": 0, "maxFollowers": 0, "isReply": true, "excludeAuthors": [ "string" ], "ratings": [ 1 ], "notRatings": [ 1 ], "minLikes": 0, "minReposts": 0, "minReplies": 0, "minQuotes": 0, "minViews": 0, "minBookmarks": 0 } ] }, "createdAt": "string", "updatedAt": "string"}Was this page helpful?